Overview
GET
/persona/provider-templates/{id}personaOne provider template with its models (public)
Fetch a record from provider-templates by id.
Parameters
- idpathstring
Responses
200
Provider template
- idstring
- providerKind"openai" | "anthropic" | "gemini"
- namestring
- baseUrlstring
- documentationUrlstring?
- statusUrlstring?
- connectionSpecProviderConnectionSpec
- createdAtstring
- updatedAtstring
- modelsProviderTemplateModel[]
Example
{
"id": "string",
"providerKind": "openai",
"name": "string",
"baseUrl": "string",
"documentationUrl": "string",
"statusUrl": "string",
"connectionSpec": {
"specVersion": 1,
"urlVars": [
{
"name": "string",
"label": "string",
"example": "string",
"secret": true
}
],
"headerVars": [
{
"header": "string",
"label": "string",
"example": "string",
"secret": true
}
],
"auth": {
"type": "bearer",
"header": "string",
"scheme": "bearer",
"region": "string",
"tokenUrl": "string"
},
"defaultQuery": {},
"extraHeaders": {}
},
"createdAt": "string",
"updatedAt": "string",
"models": [
{
"id": "string",
"name": "string",
"createdAt": "string"
}
]
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/persona/provider-templates/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona/provider-templates/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();